examples.agent

## Class DemoAgent

- java.lang.Object
- - examples.agent.DemoAgent

-     public class DemoAgent
      extends java.lang.Object

  This is an example of Java-based AggreGate Agent. It provides two settings (tabular and integer), one operation and one event type.

  The functionality is pretty simple. Once connected to the server and synchronized, Agent starts periodically firing and event with random float data value. Event period may be changed by editing second ("Period") setting. Value of first (tabular) setting is also available for server-side editing, but is not processed in any way by the Agent. Agent's operation just takes integer input value and returns a random value in the range 0...input_value.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TableFormat` | `FIFT_OPERATION`
    `static TableFormat` | `VFT_SETTING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DemoAgent()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `static void` | `setNewVariable(Agent agent, java.lang.Long period)`
    `static Agent` | `setUpDemoAgent(java.lang.Long eventPeriod)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VFT_SETTING

          public static final TableFormat VFT_SETTING

    - #### FIFT_OPERATION

          public static final TableFormat FIFT_OPERATION

  - ### Constructor Detail

    - #### DemoAgent

          public DemoAgent()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

    - #### setUpDemoAgent

          public static Agent setUpDemoAgent(java.lang.Long eventPeriod)

    - #### setNewVariable

          public static void setNewVariable(Agent agent,
                                            java.lang.Long period)